Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02292 Crash/Freeze Critical (emulation) Always Sep 21, 2008, 09:26 Oct 9, 2008, 08:39
Tester Haze View Status Public Platform MAME (Self-compiled)
Assigned To galibert Resolution Fixed OS Windows XP/Vista 32-bit
Status [?] Resolved Driver segas24.cpp
Version 0.127u4 Fixed in Version 0.127u7 Build Normal
Fixed in Git Commit Github Pull Request #
Summary 02292: dcclubfd, gground, ggroundj, roughrac, sgmastc, sgmastj : Game doesn't start
Description (only tested in personal compile, so verification in mainline would help)

There is / was an irq timing hack in the driver related to getting gain ground to boot, my initial thoughts are that this is no longer functioning due to the 68k interrupt changes made lately. I haven't confirmed that as the reason tho.

Hangs on black screen or during information screens..
Steps To Reproduce
Additional Information
Github Commit
Flags
Regression Version 0.127u1
Affected Sets / Systems dcclubfd, gground, ggroundj, roughrac, sgmastc, sgmastj
Attached Files
 
Relationships
related to 02467Resolvedgalibert  qsww: Game Crashes 
Notes
5
User avatar
No.02516
Tafoid
Administrator
Sep 21, 2008, 13:31
I see the System 24 logo then a black screen which seems to be struggling on the CPU somewhere as overall emulation speed suffers.
User avatar
No.02649
Scagazza
Tester
Sep 30, 2008, 18:03
Tested bnzabros, it freeze in the "now loading..." screen
User avatar
No.02650
Tafoid
Administrator
Sep 30, 2008, 18:48
bnzabros, bnzabrsj do not freeze/hang for me on my self-built 32-bit build of 0.127u5
User avatar
No.02679
galibert
Developer
Oct 4, 2008, 10:04
Timer issue, the implementation is horribly incorrect. Looking at it with cgfm.
User avatar
No.02724
aaron
Developer
Oct 9, 2008, 08:39
Marking this resolved as the games do work now. However, the timer implementation still needs some tweaking before it is ready to be added.